petsc-3.4.2 2013-07-02

# KSPBCGSLSetXRes

Sets the parameter governing when exact residuals will be used instead of computed residuals.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPBCGSLSetXRes(KSP ksp, PetscReal delta)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate
| delta | - computed residuals are used alone when delta is not positive

### Options Database Keys

-ksp_bcgsl_xres delta -

### Keywords

KSP, BiCGStab(L), set, exact residuals

### See Also

KSPBCGSLSetEll(), KSPBCGSLSetPol()

Level:intermediate
Location:src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages